<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">

    <!-- CSS -->
    <link rel="stylesheet" href="../static/style.css">

    <!-- FONT -->
    <link href='http://fonts.googleapis.com/css?family=Pacifico' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Great+Vibes' rel='stylesheet' type='text/css'>

    <!-- BULMA -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.8.0/css/bulma.min.css">
    <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>

    <title>Book Storage</title>
</head>

<body>

    <nav class="navbar" role="navigation" aria-label="main navigation">
        <!-- <div id="menuToggle">
            <input class="menu-input" type="checkbox"/>

            <span class="span"></span>
            <span class="span"></span>
            <span class="span"></span>

            <ul id="menu">
                <a href="/"><li><p class="word-style-menu">Concluídos</p></li></a>
                <a href="/"><li><p class="word-style-menu">Andamento</p></li></a>
                <a href="/"><li><p class="word-style-menu">Adicionar</p></li></a>
            </ul>

        </div> -->
        <div class="navbar-brand">
            <a class="navbar-item" href="/">
                <p class="word-style-logo">Book Store</p>
            </a>
        </div>
    </nav>

    <br><br><br>
    
    <h1>Add Book</h1>
    <form method="POST" action="/">
        <div class="field is-grouped">
            <div class="control">
                <input class="input" type="text" name="title" placeholder="Book Title">
            </div>
            <div class="control">
                <button class="button is-info" type="submit" value="Add">Submit</button>
            </div>
        </div>
    </form>

    <br><br><br>

    <h1>Books</h1>
    <table>
        {% for book in books %}
            <tr>
                <td>
                    <p>{{book.title}}</p>
                </td>
                <td>
                    <form method="POST" action="./update">
                        <input type="hidden" value="{{book.title}}" name="oldtitle">
                        <input type="text" value="{{book.title}}" name="newtitle">
                        <input type="submit" value="Update">
                    </form>
                </td>
                <td>
                    <form method="POST" action="./delete">
                        <input type="hidden" value="{{book.title}}" name="title">
                        <button class="button is-danger is-outlined" type="submit" value="Delete">Delete</button>
                    </form>
                </td>
            </tr>
        {% endfor %}
    </table>
</body>

</html>